Skip to main content
`Ctrl`+`K`

# EPSGDGetRestart

Gets the number of vectors of the searching space after restarting and the number of vectors saved from the previous iteration.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGDGetRestart(EPS eps,PetscInt *minv,PetscInt *plusk)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameters

- minv - number of vectors of the searching subspace after restarting

- plusk - number of vectors saved from the previous iteration

## See Also

EPS: Eigenvalue Problem Solver, `EPSGD`, `EPSGDSetRestart()`

## Level

advanced

## Location

src/eps/impls/davidson/gd/gd.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages